# optimbase_checkbounds

Checks the bounds.

## Calling Sequence

                opt = optimbase_checkbounds(opt)

## Argument

opt

  The object of TOPTIM type (tlist).

## Description

The `optimbase_checkbounds` function checks if the bounds are consistent and produces an error message if not.

To have a consistency of bounds, you must satisfy the two conditions:

- the number of maximal and minimal bounds must be the same as the number of variables,

- minimal bounds must be lower than maximal bounds ,

## Example

        opt = optimbase_new();

        // Set number of variables
        opt = optimbase_configure ( opt, "-numberofvariables", 2);

        // Set minimal and maximal bounds
        opt = optimbase_configure(opt, "-boundsmin", [-5 -5]');
        opt = optimbase_configure(opt, "-boundsmax", [5 5]');

        // Set check bounds
        opt = optimbase_checkbounds(opt)
        opt = optimbase_destroy(opt);

## See Also

- optimbase_isinbounds
- optimbase_hasbounds